Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all themes and other packages

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Oct 2019 09:03:03 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 19 Oct 2019 23:53:47 +0300
> 
> So I added :extend to diff faces, except word-based refinement faces.

Thanks.

> Also I considered adding :extend to multi-line isearch matches,
> but in fact yanking in isearch is word-based such as C-w,
> so maybe the current default is fine.  Or do you think it's important
> to extend highlighting of matched empty lines beyond EOL
> to make them more noticeable?  Then we'll need to extend
> matching of empty like also for lazy-highlight, hi-lock, occur faces.

I think we should add :extend only if there's little doubt about its
necessity.  So let's wait with the Isearch faces until we are sure.

> Additional question: since now in multi-line Info references faces don't
> extend beyond EOL by default, could the following hack to be removed
> from info.el:
> 
>               ;; For multiline ref, unfontify newline and surrounding whitespace
>               (save-excursion
>                 (goto-char rbeg)
>                 (save-match-data
>                   (while (re-search-forward "\\s-*\n\\s-*" rend t nil)
>                     (remove-text-properties (match-beginning 0)
>                                             (match-end 0)
>                                             '(font-lock-face t)))))

Yes, I think so, but maybe leave this code in place conditioned by the
relevant face being extended, in case users customize them?